function [datf] = filtbutter(dat,fc,freq,ftype)
if nargin == 2; 
    freq = 100;
    ftype = 'low'; 
end
if nargin == 3; 
    ftype = 'low'; 
end

n=4; %ordem do filtro

wn=fc/(freq/2);   %frequencia de corte de

[b,a] = butter(n,wn,ftype); %definindo os parametros para o filtro de Butterworth

if size(dat,2) == 1
    dat = [[1:size(dat,1)]',dat];
end

[nlin,ncol] = size(dat);
 
datf = NaN(nlin,ncol);
for i = 2:ncol;
datf(:,i) = filtfilt(b,a,dat(:,i));
end

datf = [[1:size(dat,1)]',datf(:,2:end)];

end

